Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-findutils
index 1fb8788..7172e90 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,22 +9,21 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
   --prefix=/usr \
   --libexecdir=/usr/lib/findutils \
-  --localstatedir=/var/lib/locate &&
-make -j ${MAKEJOBS} &&
-make install &&
+  --localstatedir=/var/lib/locate
+make -j ${MAKEJOBS}
+make install
 
 # Some of the scripts in the LFS-Bootscripts package depend on find.
 # As /usr may not be available during the early stages of booting, this
 # program needs to be on the root partition. The updatedb script also
 # needs to be modified to correct an explicit path:
-mv -v /usr/bin/find /bin &&
+mv -v /usr/bin/find /bin
 sed -i -e 's/find:=${BINDIR}/find:=\/bin/' /usr/bin/updatedb
 
-# Return last error
 exit $?